VERSION 5.00
Object = "{C932BA88-4374-101B-A56C-00AA003668DC}#1.1#0"; "MSMASK32.OCX"
Begin VB.Form AccountsForm 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Accounts"
   ClientHeight    =   1110
   ClientLeft      =   150
   ClientTop       =   720
   ClientWidth     =   4410
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1110
   ScaleWidth      =   4410
   StartUpPosition =   3  'Windows Default
   Begin MSMask.MaskEdBox MaskEdBox1 
      Height          =   375
      Left            =   120
      TabIndex        =   1
      TabStop         =   0   'False
      Top             =   600
      Width           =   4215
      _ExtentX        =   7435
      _ExtentY        =   661
      _Version        =   393216
      BackColor       =   -2147483644
      Enabled         =   0   'False
      Format          =   "$#,##0.00;($#,##0.00)"
      PromptChar      =   "_"
   End
   Begin VB.Label Label1 
      Caption         =   "Current Balance:"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   360
      Width           =   1215
   End
   Begin VB.Menu IDM_TRANSACTIONS 
      Caption         =   "&Transactions"
      Begin VB.Menu IDM_TRANSACTIONS_DEPOSIT 
         Caption         =   "&Deposit"
         Shortcut        =   ^D
      End
      Begin VB.Menu IDM_TRANSACTIONS_WITHDRAW 
         Caption         =   "&Withdraw"
         Shortcut        =   ^W
      End
      Begin VB.Menu SEPARATOR1 
         Caption         =   "-"
      End
      Begin VB.Menu IDM_TRANSACTIONS_RESET 
         Caption         =   "&Reset Values"
         Shortcut        =   ^R
      End
      Begin VB.Menu SEPARATOR2 
         Caption         =   "-"
      End
      Begin VB.Menu IDM_TRANSACTIONS_EXIT 
         Caption         =   "E&xit"
         Shortcut        =   ^X
      End
   End
   Begin VB.Menu IDM_HELP 
      Caption         =   "&Help"
      Begin VB.Menu IDM_HELP_ABOUT 
         Caption         =   "&About Accounts Manager..."
      End
   End
End
Attribute VB_Name = "AccountsForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Initialize()
    curBalance = GetSetting("Account Manager", "Accounts", _
    "Current Balance", 0)
End Sub

Private Sub Form_Load()
    AccountsForm.MaskEdBox1.Text = curBalance
End Sub

Private Sub Form_Unload(Cancel As Integer)
    SaveSetting "Account Manager", "Accounts", "Current Balance", curBalance
End Sub

Private Sub IDM_HELP_ABOUT_Click()
    frmAbout.Show
End Sub

Private Sub IDM_TRANSACTIONS_DEPOSIT_Click()
    Unload Me
    DepositForm.Show
End Sub

Private Sub IDM_TRANSACTIONS_EXIT_Click()
    Unload Me
End Sub

Private Sub IDM_TRANSACTIONS_RESET_Click()
    curBalance = 0
    SaveSetting "Accounts Manager", "Accounts", "Current Balance", curBalance
    
    MaskEdBox1.Text = GetSetting("Accounts Manager", "Accounts", _
    "Current Balance", 0)
End Sub

Private Sub IDM_TRANSACTIONS_WITHDRAW_Click()
    Unload Me
    WithdrawForm.Show
End Sub
